using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;

namespace SyncGridFont
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Drawing.Font selectedFont;
		private Syncfusion.Windows.Forms.Tools.FontComboBox fontComboBox;
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl;
		private System.Windows.Forms.Button buttonOK;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			
			fontComboBox = new Syncfusion.Windows.Forms.Tools.FontComboBox();
			fontComboBox.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawVariable;
			fontComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			fontComboBox.SelectedIndex = 1;
			fontComboBox.SelectedIndexChanged += new EventHandler(fontComboBox_SelectedIndexChanged);
			
			this.gridControl.Properties.RowHeaders = false;
			this.gridControl.Properties.ColHeaders = false;
			this.gridControl.RowCount = 2;
			this.gridControl.ColCount = 2;
			
			this.gridControl[1,1].Text = "FontName";
			this.gridControl[1,1].CellType = "Static";
			this.gridControl[1,1].BackColor = SystemColors.Control;
			this.gridControl[1,2].CellType = "Control";
			this.gridControl[1,2].Control = fontComboBox;
			
			this.gridControl.ColWidths.ResizeToFit(GridRangeInfo.Cols, GridResizeToFitOptions.IncludeHeaders);
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.gridControl = new Syncfusion.Windows.Forms.Grid.GridControl();
			this.buttonOK = new System.Windows.Forms.Button();
			((System.ComponentModel.ISupportInitialize)(this.gridControl)).BeginInit();
			this.SuspendLayout();
			// 
			// gridControl
			// 
			this.gridControl.Data = ((Syncfusion.Windows.Forms.Grid.GridData)(resources.GetObject("gridControl.Data")));
			this.gridControl.Location = new System.Drawing.Point(16, 16);
			this.gridControl.Name = "gridControl";
			this.gridControl.Size = new System.Drawing.Size(520, 160);
			this.gridControl.TabIndex = 0;
			// 
			// buttonOK
			// 
			this.buttonOK.Location = new System.Drawing.Point(408, 224);
			this.buttonOK.Name = "buttonOK";
			this.buttonOK.TabIndex = 1;
			this.buttonOK.Text = "OK";
			this.buttonOK.Click += new System.EventHandler(this.buttonOK_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(584, 273);
			this.Controls.Add(this.buttonOK);
			this.Controls.Add(this.gridControl);
			this.Name = "Form1";
			this.Text = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.gridControl)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void fontComboBox_SelectedIndexChanged(object sender, EventArgs e)
		{
			selectedFont = fontComboBox.Items[fontComboBox.SelectedIndex] as Font;
			this.gridControl[1,2].Text = selectedFont.Name;
			this.gridControl.ColWidths.ResizeToFit(GridRangeInfo.Col(1), GridResizeToFitOptions.IncludeHeaders);
		}

		private void buttonOK_Click(object sender, System.EventArgs e)
		{
		}
	}
}
